Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ezpContentFieldSet Class Reference
Inheritance diagram for ezpContentFieldSet:

## Public Member Functions
| __construct ()
| offsetExists ( $offset)
| offsetSet ( $offset, $value)
| offsetGet ( $offset)
| offsetUnset ( $offset)
| __set ( $name, eZContentObjectAttribute $value)
| __get ( $name)
| __isset ( $name)
| key ()
| current ()
| next ()
| rewind ()
| valid ()
| setActiveLanguage ( $language)

## Static Public Member Functions
static | fromContentObject (eZContentObject $contentObject)
static | fromDataMap ( $dataMap)

## Protected Member Functions
| initIterator ()

## Protected Attributes
| $parentFieldSet
| $childrenFieldSets
| $fields
| $iteratorPointer = null
| $iteratorData = null
| $activeLanguage = false

## Detailed Description

Definition at line 18 of file field_set.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpContentFieldSet::__construct | ( |  | ) |

Initializes the fields set with a content object + language

Parameters

  int | $contentObjectID |
  string | $locale | If not provided, uses the default one for the active siteaccess

Definition at line 25 of file field_set.php.

## Member Function Documentation

## ◆ __get()

ezpContentFieldSet::__get | ( |  | $name | ) |

Getter. Used to get attributes values.

Returns
  mixed

Definition at line 137 of file field_set.php.

References $activeLanguage, and $name.

## ◆ __isset()

ezpContentFieldSet::__isset | ( |  | $name | ) |

Used to check if an attribute has content: `if ( isset( $content->fields->title ) ) <= no title`

See also
  ezContentObjectAttribute->hasContent()

Definition at line 164 of file field_set.php.

References $name.

## ◆ __set()

ezpContentFieldSet::__set | ( |  | $name,
|  | eZContentObjectAttribute | $value
| ) |  |

Setter. Used to set attributes values.

Definition at line 121 of file field_set.php.

References $name.

## ◆ current()

ezpContentFieldSet::current | ( |  | ) |

Iterator::current()

Definition at line 195 of file field_set.php.

Referenced by fromContentObject(), key(), and valid().

## ◆ fromContentObject()

static ezpContentFieldSet::fromContentObject | ( | eZContentObject | $contentObject | ) |
| static

Initializes a level one ezpContentFieldSet from an eZContentObject

Parameters

  eZContentObject | $contentObject |

Returns
  ezpContentFieldSet

Definition at line 34 of file field_set.php.

References $language, current(), and fromDataMap().

Referenced by ezpContent\fromNode(), and ezpContent\fromObject().

## ◆ fromDataMap()

static ezpContentFieldSet::fromDataMap | ( |  | $dataMap | ) |
| static

Initializes a level two ezpContentFieldSet from a content object data map

Parameters

  array | $dataMap |

Returns
  ezpContentFieldSet

Definition at line 56 of file field_set.php.

References ezpContentField\fromContentObjectAttribute().

Referenced by fromContentObject().

## ◆ initIterator()

ezpContentFieldSet::initIterator | ( |  | ) |
| protected

Initializes the iterator based on the current field / languages list

Definition at line 227 of file field_set.php.

References $activeLanguage, and $fields.

Referenced by setActiveLanguage().

## ◆ key()

ezpContentFieldSet::key | ( |  | ) |

Iterator::key()

Definition at line 187 of file field_set.php.

References current().

## ◆ next()

ezpContentFieldSet::next | ( |  | ) |

Iterator::next()

Definition at line 203 of file field_set.php.

## ◆ offsetExists()

ezpContentFieldSet::offsetExists | ( |  | $offset | ) |

Array exists handler. Can be used to check for existence of a language

Again, this operation might not belong to the fields set (data map) but to the content itself

Definition at line 73 of file field_set.php.

## ◆ offsetGet()

ezpContentFieldSet::offsetGet | ( |  | $offset | ) |

Array get handler. Will return the requested language's ezpFieldSet

Returns
  ezpContentFieldSet

Definition at line 96 of file field_set.php.

References $offset.

## ◆ offsetSet()

ezpContentFieldSet::offsetSet | ( |  | $offset,
|  |  | $value
| ) |  |

Array set hander. Will set the requested language's ezpFieldSet. Is that any good ? Might be used to enable a language on a content item: `$article->fields['fre-FR'] = true` Semantically speaking, this belongs to the content, not the fields. Maybe no need to implement that.

Definition at line 86 of file field_set.php.

## ◆ offsetUnset()

ezpContentFieldSet::offsetUnset | ( |  | $offset | ) |

Unset array handler. Should we allow a user to remove a language by using that syntax: `unset( $content->fields['eng-GB'] );`

Definition at line 114 of file field_set.php.

## ◆ rewind()

ezpContentFieldSet::rewind | ( |  | ) |

Iterator::rewind()

Definition at line 211 of file field_set.php.

## ◆ setActiveLanguage()

ezpContentFieldSet::setActiveLanguage | ( |  | $language | ) |

Sets the currently active language when reading attribute(/object/node) properties

Parameters

  string | $language | Language locale (xxx-XX)

Returns
  void

Definition at line 247 of file field_set.php.

References $language, and initIterator().

## ◆ valid()

ezpContentFieldSet::valid | ( |  | ) |

Iterator::valid()

Definition at line 219 of file field_set.php.

References current().

## Member Data Documentation

## ◆ $activeLanguage

ezpContentFieldSet::$activeLanguage = false
| protected

Definition at line 289 of file field_set.php.

Referenced by __get(), and initIterator().

## ◆ $childrenFieldSets

ezpContentFieldSet::$childrenFieldSets
| protected

Definition at line 264 of file field_set.php.

## ◆ $fields

ezpContentFieldSet::$fields
| protected

Fields set content object attributes array( identifier => eZContentObjectAttribute )

Definition at line 270 of file field_set.php.

Referenced by initIterator().

## ◆ $iteratorData

ezpContentFieldSet::$iteratorData = null
| protected

Definition at line 283 of file field_set.php.

## ◆ $iteratorPointer

ezpContentFieldSet::$iteratorPointer = null
| protected

Definition at line 276 of file field_set.php.

## ◆ $parentFieldSet

ezpContentFieldSet::$parentFieldSet
| protected

Definition at line 257 of file field_set.php.

The documentation for this class was generated from the following file:

- field_set.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.